Delete department

Delete department. See the OpenAPI-defined parameters, request body, and responses below.

DELETE /Department/{id}

Delete department. See the OpenAPI-defined parameters, request body, and responses below.

OpenAPI description: Exclui o departamento identificado por id. A operação é recusada enquanto houver agentes vinculados ao departamento; remova esses vínculos antes de excluir.

Authentication

Authentication required. Send your user API key in the X-API-Key header.

Parameters

NameLocationTypeRequiredDescriptionConstraints
idpathinteger · int32Yes——

Request body

This operation does not accept a request body.

Example request

curl --request DELETE \
  --url 'https://api.zild.ai/Department/{id}' \
  --header 'X-API-Key: YOUR_USER_API_KEY'

Responses

StatusDescriptionResponse body
204Departamento excluído, sem conteúdo.No response body is defined.